#!/bin/sh
revision=quodlibet-2.1
url='https://quodlibet.googlecode.com/hg/'
curdir=`pwd`
tmpdir=/tmp/quodlibet-plugins-$$

# check whether Mercurial is installed
if ! which hg > /dev/null; then
	echo ERROR: install the mercurial package >&2
	exit
fi

if ! mkdir $tmpdir; then
	echo ERROR: failed to create temporary directory $tmpdir >&2
	exit
fi
pushd $tmpdir

# unfortunetly Mercurial can't checkout a subdirectory, so we have to download
# the whole repository
if ! hg clone -r $revision $url quodlibet; then
	echo ERROR: failed to checkout sources >&2
	exit
fi

# get rid of some plugins that we don't have dependencies for
rm quodlibet/plugins/songsmenu/brainz.py
rm quodlibet/plugins/events/lastfmsubmit.py

# get rid of any shebang lines
for plugin in `find quodlibet/plugins -name \*.py`; do
	sed -i -e '/^#!/,1d' $plugin
done

echo creating archive
cd quodlibet
if ! tar cjf $curdir/quodlibet-plugins.tar.bz2 plugins; then
	echo ERROR: failed to create archive of plugins >&2
	exit
fi
popd > /dev/null
rm -fR $tmpdir
echo SUCCESS
