%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           quodlibet
Version:        2.1
Release:        3%{?dist}
Summary:        A music management program

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://code.google.com/p/quodlibet/
Source0:        http://quodlibet.googlecode.com/files/quodlibet-%{version}.tar.gz
Source1:        dl-quodlibet-plugins.sh
Source2:        quodlibet-plugins.tar.bz2

# There is no upstream currently, as this plugin is the product of the Quod Libet packager
Source3:        google.py

Source4:        README.fedora

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  pygtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig

%if %{fedora} <= 6
BuildRequires:  python-ctypes
%endif

Requires:       python-mutagen >= 1.10
Requires:       python >= 2.4
Requires:       pygtk2 >= 2.10
Requires:       gstreamer-python >= 0.10.2
Requires:       gnome-python2-canvas
Requires:	gstreamer-plugins-good

# For tray icon plugin
Requires:       gnome-python2-libegg

# for Replay Gain plugin
Requires:       vorbisgain

%if %{fedora} >= 6
# for iPod device support
Requires:       python-gpod
%endif

# for CDDB plugin
Requires:       python-CDDB

%description
Quod Libet is a music management program. It provides several different ways
to view your audio library, as well as support for Internet radio and
audio feeds. It has extremely flexible metadata tag editing and searching
capabilities.

Ex Falso is a tag editor with the same tag editing interface as Quod Libet,
but it does not play files.

Supported file formats include Ogg Vorbis, MP3, FLAC, MOD/XM/IT, Musepack,
Wavpack, and MPEG-4 AAC.

%prep
%setup -q
cp %{S:4} .

%build
python setup.py build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{python_sitelib}/quodlibet/
tar xfCv %{S:2} %{buildroot}%{python_sitelib}/quodlibet/
cp -v %{S:3} %{buildroot}%{python_sitelib}/quodlibet/plugins/songsmenu

python setup.py install --root=%{buildroot} --prefix=%{_prefix}

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 build/lib/quodlibet/images/exfalso.png %{buildroot}%{_datadir}/pixmaps
install -m 644 build/lib/quodlibet/images/quodlibet.png %{buildroot}%{_datadir}/pixmaps
install -m 644 build/lib/quodlibet/images/quodlibet.png %{buildroot}%{python_sitelib}/quodlibet # needed for Tray Icon plugin

sed -i 's/\.png$//' build/share/applications/*.desktop
sed -i 's/;GTK$/&;/' build/share/applications/*.desktop
sed -i 's/AudioPlayer/Player/' build/share/applications/quodlibet.desktop
desktop-file-install --vendor fedora                            \
        --dir %{buildroot}%{_datadir}/applications              \
        --remove-category Application                           \
        --add-category X-Fedora                                 \
        build/share/applications/exfalso.desktop
desktop-file-install --vendor fedora                            \
        --dir %{buildroot}%{_datadir}/applications              \
        --remove-category Application                           \
        --add-category X-Fedora                                 \
        build/share/applications/quodlibet.desktop
rm -f %{buildroot}%{_datadir}/applications/{exfalso,quodlibet}.desktop

%{find_lang} quodlibet

%clean
rm -rf %{buildroot}

%files -f quodlibet.lang
%defattr(-,root,root,-)
%doc COPYING HACKING NEWS README README.fedora

%{_bindir}/exfalso
%{_bindir}/quodlibet

%{_datadir}/applications/fedora-exfalso.desktop
%{_datadir}/applications/fedora-quodlibet.desktop

%{_datadir}/pixmaps/exfalso.png
%{_datadir}/pixmaps/quodlibet.png

%{_mandir}/man1/exfalso.1*
%{_mandir}/man1/quodlibet.1*

%{python_sitelib}/quodlibet
%{python_sitelib}/quodlibet-%{version}-py2.6.egg-info

%changelog
* Wed Oct 28 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.1-3
- Require gstreamer-plugins-good - BZ#531664

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul  6 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 2.1-1
- Update to 2.1 based on patches to spec by Andrew Nayenko

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0-5
- Rebuild for Python 2.6

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-3
- Autorebuild for GCC 4.3

* Mon Jul 09 2007 Todd Zullinger <tmz@pobox.com> - 1.0-2
- Small fix for changes in python-gpod-0.5.2
- Fix some desktop-file-install warning and errors

* Thu May 10 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.0-1
- Update to 1.0

* Sat Apr 14 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-7
- Add requires on gnome-python2-canvas, fixes #236468

* Sun Mar  4 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-6
- Update plugins

* Mon Jan 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-5
- Build iPod support on FC-6

* Tue Dec 12 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-4
- Require python-CDDB for CDDB plugin
- Conditionalize python-gpod support

* Mon Dec 11 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-2
- Require python-gpod for iPod device support

* Tue Nov 21 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.24-1
- Update to 0.24

* Mon Aug 28 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23.1-1
- Update to 0.23.1

* Thu Aug 24 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23-5
- Include a README.fedora

* Thu Aug 17 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23-4
- Instead of manually copying all of the plugins, pack them into a
  tarball and include a script for generating the tarball

* Wed Aug 16 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23-3
- Make sure that %%{_libdir}/quodlibet/ is owned

* Tue Aug 15 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23-2
- Convert tabs to spaces.
- Add shell plugin
- Get rid of some shebang lines.
- Add Google search plugin

* Fri Aug 11 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.23-1
- First version for Fedora Extras

